Installing Intel® Parallel Studio XE Runtime 2019 Using YUM Repository

By Ronald W Green, Published: 09/11/2018, Last Updated: 03/20/2020

Intel® Parallel Studio XE Runtime includes everything you need to run applications built with Intel® Parallel Studio XE. The packages are available, through a YUM package manager, to users who already have applications enabled with Intel® Parallel Studio XE.

Update YUM to version 4 or greater

If you have Redhat 7 or below, please update your YUM to version 4 or greater.  See Troubleshooting below for more information.

Setting up the Repository

There are three methods to install the YUM Repository. [Note: You must be logged in as root to set up and install the repository].  Choose 1 of these 3 Methods:

Method 1: Download and install the repository rpm

  1. Import the gpg public key for the repository
    sudo rpm --import https://yum.repos.intel.com/2019/setup/RPM-GPG-KEY-intel-psxe-runtime-2019
  2. Install the repository rpm
    sudo rpm -Uhv https://yum.repos.intel.com/2019/setup/intel-psxe-runtime-2019-reposetup-1-0.noarch.rpm

Method 2: Import the .repo file

  1. Add repository - note:  if yum-config-manager is NOT found, 'yum install yum-utils' first
    sudo yum-config-manager --add-repo https://yum.repos.intel.com/2019/setup/intel-psxe-runtime-2019.repo
  2. Import the gpg public key for the repository
    sudo rpm --import https://yum.repos.intel.com/2019/setup/RPM-GPG-KEY-intel-psxe-runtime-2019

Method 3: Create the repository file manually

  1. Navigate to the repository directory

    ​cd /etc/yum.repos.d
  2. Edit the repo file

    ​vi intel-psxe-runtime-2019.repo
  3. Append the following code:
    [intel-psxe-runtime-2019]
    name=Intel(R) Parallel Studio XE 2019 Runtime
    baseurl=https://yum.repos.intel.com/2019
    enabled=1
    gpgcheck=1
    gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-intel-psxe-runtime-2019
  4. Save and close the file
  5. Import the gpg public key for the repository
    sudo rpm --import https://yum.repos.intel.com/2019/setup/RPM-GPG-KEY-intel-psxe-runtime-2019

Intel® Parallel Studio XE Runtime versions available in the repository

<VERSION

<UPDATE>

<BUILD_NUM>

2019

0

117

2019

1

144

2019

2

187

2019

3

199

2019

4

243

2019

5

281

2019

6

324

For additional versions see: Intel® Parallel Studio XE Runtime by Version

Installing the runtime packages using the YUM Package Manager

The following variables are used in the installation commands:
<VERSION>: 2016, 2017, 2018, 2019, ...
<UPDATE>: 0, 1, 2, ...
<COMPONENT>: a component name from the list of available components below

Component

<COMPONENT>

Intel® Parallel Studio XE

intel-psxe-runtime

Intel® C++ Compiler

intel-icc-runtime*

Intel® Fortran Compiler

intel-ifort-runtime*

Intel® Integrated Performance Primitives

intel-ipp-runtime*

Intel® Math Kernel Library

intel-mkl-runtime*

Intel® Data Analytics Acceleration Library

intel-daal-runtime*

Intel® Threading Building Blocks

intel-tbb-runtime*

Intel® MPI Library

intel-mpi-runtime*

How do I see what is available in the repository?

yum --showduplicates list intel-psxe-runtime

How do I install the latest version?

  1. Installation of full runtime package
    yum install intel-psxe-runtime
  2. Installation of particular component from a full runtime package
    yum install <COMPONENT>

    Example: 

    yum install intel-ipp-runtime*

How do I install a particular version?

  1. To install a particular version of a full runtime package
    yum install intel-psxe-runtime-<VERSION>.<UPDATE>-<BUILD_NUM>

    Example: 

    yum install intel-psxe-runtime-2019.0-117
  2. To install a particular version of a particular component
  • Get the list of all available component versions
    yum --showduplicates list <COMPONENT>

    Example: 

    yum --showduplicates list intel-ipp-runtime*
  • Use the desired component version in the command
    yum install <COMPONENT>-<VERSION>.<UPDATE>-<BUILD_NUM>

    Example: 

    yum install intel-ipp-runtime*-2019.0-117

How do I upgrade the installed packages?

  1. Upgrade a full runtime package to the latest version
    yum upgrade intel-psxe-runtime
  2. Upgrade a particular component to the latest version
    yum upgrade <COMPONENT>

    Example: 

    ​yum upgrade intel-ipp-runtime*

How do I uninstall a particular version?

  1. Uninstall a full runtime package
    yum remove intel-*-runtime-*<VERSION>.<UPDATE>-<BUILD_NUM>

    Example: 

    yum remove intel-*-runtime-*2019.0-117
  2. Uninstall a particular component
    yum remove <COMPONENT>-<VERSION>.<UPDATE>-<BUILD_NUM>

    Example: 

    yum remove intel-ipp-runtime*-2019.0-117

How do I install several runtime packages side-by-side?

  1. Create the destination folder for the rpm downloads
    mkdir -p <path to download>
  2. Download a new version of the runtime rpms using yum
    yum install --downloadonly intel-psxe-runtime-<VERSION_n>.<UPDATE_n>-<BUILD_NUM_n> --downloaddir=<path to download>
  3. Install the downloaded rpms
    sudo rpm -i <path to download>/*

How do I install a 32-bit runtime rpm on a 64-bit system?

  1. Install a 32-bit vers of a full runtime rpm
    yum install intel-psxe-runtime.i486
  2. Install a 32-bit version of a particular component
    yum install <COMPONENT>.i486

    Example: 

    yum install intel-ipp-runtime*.i486

By downloading  Intel® Parallel Studio XE Runtime you agree to the terms and conditions stated in the End-User License Agreement (EULA).

Intel® Parallel Studio XE Runtime location on a local system

/opt/intel/psxe_runtime_<VERSION>.<UPDATE>.<BUILD_NUM>

Links to the last installed runtime package:

/opt/intel/psxe_runtime_<VERSION>
/opt/intel/psxe_runtime

Failures when installing specific Intel package version on Red Hat*/CentOS* 7 systems

Due to a known bug in YUM 3.x (which is the default package manager in Red Hat*/CentOS* 7), you may see failures when trying to install specific versions of the Intel Parallel Studio XE Runtime package. The bug is fixed in YUM 4 so we recommend you update your local instance of the client to the latest YUM version.

If you're running YUM 3.x or older, you will only be able to install the latest version available of the Intel products.

Have Questions?

Check out the FAQ
See our Get Help page for your support options.

Product and Performance Information

1

Intel's compilers may or may not optimize to the same degree for non-Intel microprocessors for optimizations that are not unique to Intel microprocessors. These optimizations include SSE2, SSE3, and SSSE3 instruction sets and other optimizations. Intel does not guarantee the availability, functionality, or effectiveness of any optimization on microprocessors not manufactured by Intel. Microprocessor-dependent optimizations in this product are intended for use with Intel microprocessors. Certain optimizations not specific to Intel microarchitecture are reserved for Intel microprocessors. Please refer to the applicable product User and Reference Guides for more information regarding the specific instruction sets covered by this notice.

Notice revision #20110804